package com.cooleshow.base.common;

import com.cooleshow.base.BuildConfig;

/**
 * Author by pq, Date on 2022/4/26.
 */
public abstract class WebConstants {
    public static final String WEB_UA_PARAMS = ";COLEXIUAPPA";
    public static final String WEB_JS_INTERFACE = "COLEXIU";
    public static final String WEB_URL = "web_url";//

    private static String getTeacherBaseUrlH5() {
        return BuildConfig.BASE_URL_H5;
    }

    private static String getStudentBaseUrlH5() {
        return BuildConfig.BASE_URL_H5_STUDENT;
    }

    private static String getBaseUrlH5() {
        return BaseApplication.Companion.isTeacherClient() ? getTeacherBaseUrlH5() : getStudentBaseUrlH5();
    }

    //注册协议
    public static final String REGISTRATION_AGREEMENT = getBaseUrlH5() + "/#/registerProtocol";
    //隐私协议
    public static final String PRIVACY_AGREEMENT = getBaseUrlH5() + "/#/privacyProtocol";

    //老师认证
    public static final String TEACHER_CERT = getBaseUrlH5() + "/#/teacherCert";
    //音乐人认证
    public static final String TEACHER_MUSIC_PERSON_CERT = getBaseUrlH5() + "/#/musicCert";
    //上传乐谱
    public static final String TEACHER_UPLOAD_SHEET_MUSIC = getBaseUrlH5() + "/#/music-upload";
}
