package com.cooleshow.base.router

/*
    模块路由 路径定义
 */
object RouterPath {

    //主页面
    class APPCenter {
        companion object {
            const val PATH_HOME = "/appCenter/home"

        }
    }

    class LiveCenter{
        companion object{
            const val PATH_LIVE ="/com/daya/live_teaching/ui/LiveActivity"
            const val ACTIVITY_PHOTO_PREVIEW ="/com/daya/live_teaching/ui/ACTIVITY_PHOTO_PREVIEW"
        }
    }

    //用户模块
    class UserCenter {
        companion object {
            const val PATH_LOGIN = "/userCenter/login"
            const val PATH_VERIFY_LOGIN = "/userCenter/verifyLogin"
            const val PATH_VERIFY_INPUT = "/userCenter/verifyInput"
            const val PATH_BIND_PASSWORD = "/userCenter/bindPwd"
        }
    }

    //web模块
    class WebCenter {
        companion object {
            const val ACTIVITY_HTML = "/ui/activity/web/HtmlActivity"
        }
    }

    //课程模块
    class CourseCenter {
        companion object {
            const val TEACHER_MINE_COURSE = "/teacher/ui/course/MineCourseActivity"
            const val SPARRING_COURSE_DETAIL = "/teacher/ui/course/SparringCourseDetailActivity"
        }
    }

    //评价模块
    class CommentCenter {
        companion object {
            const val TEACHER_RECEIVED_COMMENT = "/teacher/ui/comment/ReceivedCommentActivity"
            const val TEACHER_COURSE_COMMENT = "/teacher/ui/comment/CourseCommentActivity"
            const val TEACHER_COURSE_COMMENT_DETAIL = "/teacher/ui/comment/CourseCommentDetailActivity"
        }
    }

    //个人信息模块
    class MineCenter {
        companion object {
            const val HOME_PAGE = "/teacher/ui/homepage/HomePageActivity"
        }
    }
}
